Bug 454976 - System fan doesn't turn on after wakeup/resume
System fan doesn't turn on after wakeup/resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 04:02 EDT by Yaroslav Ischenko
Modified: 2013-01-10 02:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaroslav Ischenko 2008-07-11 04:02:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
When suspend/hibernate the machine turns off the system fan.
On wakeup/resume? thermal module does not check, should the fan be turned back or not and leaves it is turned off. As a result, a laptop overheated and shut down after a while


Version-Release number of selected component (if applicable):
pm-utils-1.1.0-7

How reproducible:
Always


Steps to Reproduce:
1.Enter the laptop goes into hibernation mode
2.Wait 20-30 minutes (laptops should cool) 
3.Resume laptop
4.Open some video file
5.Wait 5-10 min
6.#sensors
7.You see - system temperature go up
8.Check current fan state:
9.#cat /sys/bus/acpi/drivers/fan/PNP0C0B:03/thermal_cooling/cur_state

Actual Results:
"#cat /sys/bus/acpi/drivers/fan/PNP0C0B:03/thermal_cooling/cur_state" show 0
The temperature rises, fan is switched off, laptop shut down because of overheating.

Expected Results:
Must be completed inspection of fan and temperature, and, if necessary, including fan for cooling.
"#cat /sys/bus/acpi/drivers/fan/PNP0C0B:03/thermal_cooling/cur_state" should show 1 rather than 0

Additional info:
Laptop HP 6715s: AMD Turion 64 X2 Mobile™ Technology, ATI X1250 IGP, 2 GB RAM, 120 GB HDD
Comment 1 Richard Hughes 2008-07-11 08:31:44 EDT
Kernel error me thinks.
Comment 2 Bug Zapper 2009-06-09 22:02:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:02:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.